Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1173206 - Review Request: nodejs-minstache - Mini mustache template engine
Summary: Review Request: nodejs-minstache - Mini mustache template engine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1173205
TreeView+ depends on / blocked
 
Reported: 2014-12-11 16:48 UTC by Parag Nemade
Modified: 2015-01-09 03:01 UTC (History)
2 users (show)

Fixed In Version: nodejs-minstache-1.2.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-24 16:52:45 UTC
piotr1212: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-12-11 16:48:00 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/nodejs-minstache.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/nodejs-minstache-1.2.0-1.fc21.src.rpm
Description: 
Mini mustache template engine.

Fedora Account System Username: pnemade

Comment 1 Piotr Popieluch 2014-12-23 18:52:58 UTC
Could you please add the bin directory to the copy in %install section

Comment 2 Piotr Popieluch 2014-12-23 19:24:44 UTC
Suggestion: 
change "mocha" in "mocha --require should --reporter spec" to have working tests

Comment 3 Parag Nemade 2014-12-24 01:26:09 UTC
Updated in same release please download again but tests are still failing so disabled it. Can you help if tests can be enabled?

Comment 4 Piotr Popieluch 2014-12-24 10:10:46 UTC
APPROVED

You can change the line:
mocha --reporter spec
to:
mocha --require should --reporter spec
to have the tests succeed

Found that in package/Makefile




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/piotr/rpmbuild/1173206-nodejs-
     minstache/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-minstache-1.2.0-1.fc22.noarch.rpm
          nodejs-minstache-1.2.0-1.fc22.src.rpm
nodejs-minstache.noarch: W: only-non-binary-in-usr-lib
nodejs-minstache.noarch: W: dangling-symlink /usr/lib/node_modules/minstache/node_modules/commander /usr/lib/node_modules/commander
nodejs-minstache.noarch: W: no-manual-page-for-binary minstache
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@pontifex /]# rpmlint nodejs-minstache
nodejs-minstache.noarch: W: invalid-url URL: https://github.com/visionmedia/minstache <urlopen error [Errno -3] Temporary failure in name resolution>
nodejs-minstache.noarch: W: only-non-binary-in-usr-lib
nodejs-minstache.noarch: W: dangling-symlink /usr/lib/node_modules/minstache/node_modules/commander /usr/lib/node_modules/commander
nodejs-minstache.noarch: W: no-manual-page-for-binary minstache
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
]0;<mock-chroot><mock-chroot>[root@pontifex /]# echo 'rpmlint-done:'



Requires
--------
nodejs-minstache (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(commander)



Provides
--------
nodejs-minstache:
    nodejs-minstache
    npm(minstache)



Source checksums
----------------
http://registry.npmjs.org/minstache/-/minstache-1.2.0.tgz :
  CHECKSUM(SHA256) this package     : 8d33f9c6a7e167789995f0ad089e91917f83421d4c5df1c873e676cd29bd475b
  CHECKSUM(SHA256) upstream package : 8d33f9c6a7e167789995f0ad089e91917f83421d4c5df1c873e676cd29bd475b
https://raw.githubusercontent.com/visionmedia/minstache/master/test/index.js :
  CHECKSUM(SHA256) this package     : 09b463f12cae7a66bba3bcca2055e879b8d10fb7ba03fee378951bb099a106ac
  CHECKSUM(SHA256) upstream package : 09b463f12cae7a66bba3bcca2055e879b8d10fb7ba03fee378951bb099a106ac


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1173206
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Parag Nemade 2014-12-24 14:23:25 UTC
Thank you. I will fix the tests.

New Package SCM Request
=======================
Package Name: nodejs-minstache
Short Description: Mini mustache template engine
Upstream URL: https://github.com/visionmedia/minstache
Owners: pnemade
Branches: f20 f21 el6 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-12-24 14:27:41 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-12-24 15:59:47 UTC
nodejs-minstache-1.2.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-minstache-1.2.0-1.fc21

Comment 8 Fedora Update System 2014-12-24 16:22:08 UTC
nodejs-minstache-1.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-minstache-1.2.0-1.fc20

Comment 9 Fedora Update System 2014-12-24 16:32:43 UTC
nodejs-minstache-1.2.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-minstache-1.2.0-1.el7

Comment 10 Fedora Update System 2014-12-24 16:41:47 UTC
nodejs-minstache-1.2.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-minstache-1.2.0-1.el6

Comment 11 Parag Nemade 2014-12-24 16:52:45 UTC
Built in rawhide.

Comment 12 Fedora Update System 2015-01-02 05:06:35 UTC
nodejs-minstache-1.2.0-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2015-01-02 05:06:40 UTC
nodejs-minstache-1.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2015-01-09 03:00:42 UTC
nodejs-minstache-1.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 15 Fedora Update System 2015-01-09 03:01:34 UTC
nodejs-minstache-1.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.